Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.struts.forms
Class BindingContainerActionForm

`java.lang.Object
org.apache.struts.action.ActionForm
oracle.adf.controller.struts.forms.BindingContainerActionForm`

All Implemented Interfaces:
  ADFStrutsForm, org.apache.commons.beanutils.DynaBean, java.io.Serializable

public class BindingContainerActionForm
extends org.apache.struts.action.ActionForm
implements org.apache.commons.beanutils.DynaBean, ADFStrutsForm

ActionForm exposing all the binding values of a binding container as the properties of a JavaBeans.

Since:
  9.0.5
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `bindingContainerName` The name of the current binding container this class is exposing.
`protected oracle.adf.model.BindingContext` | `bindingContext` The bindingcontext in the session
`protected ADFDynaClass` | `dynaClass` The ADFDynaClass with which we are associated.
`protected java.util.Map` | `dynaValues`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`BindingContainerActionForm()`

Method Summary
`boolean` | `contains(java.lang.String name, java.lang.String key)`
`java.lang.Object` | `get(java.lang.String name)`
`java.lang.Object` | `get(java.lang.String name, int index)`
`java.lang.Object` | `get(java.lang.String name, java.lang.String key)`
`protected oracle.adf.model.binding.DCBindingContainer` | `getBindingContainer()`
`org.apache.commons.beanutils.DynaClass` | `getDynaClass()`
`java.util.Map` | `getPendingValues()` Return pendings values currently store in the form bean.
`void` | `remove(java.lang.String p0, java.lang.String p1)`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `resetPendingValues()` Reset all pending values temporary stored in the form bean.
`void` | `set(java.lang.String name, int index, java.lang.Object value)`
`void` | `set(java.lang.String name, java.lang.Object value)`
`void` | `set(java.lang.String name, java.lang.String attribute, java.lang.Object value)`
`void` | `setBindingContainer(oracle.adf.model.binding.DCBindingContainer container)` Deprecated. The BindingContainer is now deduced from the action mapping modelRef property.

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bindingContainerName

    protected java.lang.String bindingContainerName

  The name of the current binding container this class is exposing.

### dynaClass

    protected transient ADFDynaClass dynaClass

  The ADFDynaClass with which we are associated.

### dynaValues

    protected final java.util.Map dynaValues

### bindingContext

    protected transient oracle.adf.model.BindingContext bindingContext

  The bindingcontext in the session

Constructor Detail

### BindingContainerActionForm

    public BindingContainerActionForm()

Method Detail

### setBindingContainer

    public void setBindingContainer(oracle.adf.model.binding.DCBindingContainer container)

  Deprecated. The BindingContainer is now deduced from the action mapping modelRef property.
  Specified by:
    `setBindingContainer` in interface `ADFStrutsForm`

### getBindingContainer

    protected oracle.adf.model.binding.DCBindingContainer getBindingContainer()

### getPendingValues

    public java.util.Map getPendingValues()

  Description copied from interface: `ADFStrutsForm`
  Return pendings values currently store in the form bean.
  Specified by:
    `getPendingValues` in interface `ADFStrutsForm`
  Returns:
    a Map of values keyed by value binding name

### resetPendingValues

    public void resetPendingValues()

  Description copied from interface: `ADFStrutsForm`
  Reset all pending values temporary stored in the form bean.
  Specified by:
    `resetPendingValues` in interface `ADFStrutsForm`

### get

    public java.lang.Object get(java.lang.String name)

  Specified by:
    `get` in interface `org.apache.commons.beanutils.DynaBean`

### contains

    public boolean contains(java.lang.String name,
                            java.lang.String key)

  Specified by:
    `contains` in interface `org.apache.commons.beanutils.DynaBean`

### get

    public java.lang.Object get(java.lang.String name,
                                int index)

  Specified by:
    `get` in interface `org.apache.commons.beanutils.DynaBean`

### get

    public java.lang.Object get(java.lang.String name,
                                java.lang.String key)

  Specified by:
    `get` in interface `org.apache.commons.beanutils.DynaBean`

### getDynaClass

    public org.apache.commons.beanutils.DynaClass getDynaClass()

  Specified by:
    `getDynaClass` in interface `org.apache.commons.beanutils.DynaBean`

### remove

    public void remove(java.lang.String p0,
                       java.lang.String p1)

  Specified by:
    `remove` in interface `org.apache.commons.beanutils.DynaBean`

### set

    public void set(java.lang.String name,
                    java.lang.Object value)

  Specified by:
    `set` in interface `org.apache.commons.beanutils.DynaBean`

### set

    public void set(java.lang.String name,
                    int index,
                    java.lang.Object value)

  Specified by:
    `set` in interface `org.apache.commons.beanutils.DynaBean`

### set

    public void set(java.lang.String name,
                    java.lang.String attribute,
                    java.lang.Object value)

  Specified by:
    `set` in interface `org.apache.commons.beanutils.DynaBean`

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.